# valuenodedynamiclistinsertsmart.cpp File Reference

Template File. More...

`#include "valuenodedynamiclistinsertsmart.h"`
`#include "valuenodedynamiclistinsert.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::ValueNodeDynamicListInsertSmart)
| ACTION_SET_NAME (Action::ValueNodeDynamicListInsertSmart,"ValueNodeDynamicListInsertSmart")
| ACTION_SET_LOCAL_NAME (Action::ValueNodeDynamicListInsertSmart, N_("Insert Item (Smart)"))
| ACTION_SET_TASK (Action::ValueNodeDynamicListInsertSmart,"insert")
| ACTION_SET_CATEGORY (Action::ValueNodeDynamicListInsertSmart, Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE)
| ACTION_SET_PRIORITY (Action::ValueNodeDynamicListInsertSmart,-20)
| ACTION_SET_VERSION (Action::ValueNodeDynamicListInsertSmart,"0.0")
| ACTION_SET_CVS_ID (Action::ValueNodeDynamicListInsertSmart,"$Id$")

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::ValueNodeDynamicListInsertSmart |  | ) |

ACTION_SET_NAME | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | "ValueNodeDynamicListInsertSmart" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | N_("Insert Item (Smart)") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | "insert" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | Action::CATEGORY_VALUEDESC|Action::CATEGORY_VALUENODE |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | - | 20 |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::ValueNodeDynamicListInsertSmart | ,
|  | "$Id$" |  |
| ) |  |  |